!+ Subroutine to precalculate exponential terms for ESFT fit.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE EXPONENT_KU(N_TERM, N_DATA
     &   , K, U
     &   , EXP_KU
     &   )
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
      INCLUDE 'incl/dimensions_pp.ucf'
!
!     DUMMY ARGUMENTS.
      INTEGER 	!, INTENT(IN)
     &     N_DATA                           
!             NUMBER OF DATA POINTS
     &   , N_TERM                           
!             NUMBER OF ESFT TERMS
      REAL*8 	!, INTENT(IN)
     &     K(NPD_ESFT_TERM)                   
!             ESFT EXPONENTS
     &   , U(NPD_AMOUNT+1)              
!             AMOUNTS OF ABSORBER
      REAL*8 	!, INTENT(OUT)
     &     EXP_KU(NPD_ESFT_TERM, NPD_AMOUNT+1)
!             CALCULATED EXPONENTS
!
!     LOCAL VARIABLES.
      INTEGER
     &     I                                
!             LOOP VARIABLE
     &   , J
!             LOOP VARIABLE
!
!
      DO I=1, N_TERM
         DO J=1, N_DATA
            EXP_KU(I, J)=EXP(-K(I)*U(J))
         ENDDO
      ENDDO
!
!
      RETURN
      END
